Disable IEC958 on HP Thunderbolt Dock

Bug #1883670 reported by Kai-Heng Feng on 2020-06-16
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
OEM Priority Project
Critical
hugh chao
alsa-lib (Ubuntu)
Status tracked in Groovy
Focal
High
Kai-Heng Feng
Groovy
High
Kai-Heng Feng

Bug Description

[Impact]
On HP Thunderbolt Dock, unusable SPDIF can be selected as output from PulseAudio.

[Fix]
Disable IEC958 (SPDIF) through ALSA UCM.

[Test]
With the UCM applied, `pactl` and audio panel in gnome-control-center no longer have SPDIF option.

[Regression Potential]
Low. This fix limits to the HP Thunderbolt Dock, other devices are unaffected.

Kai-Heng Feng (kaihengfeng) wrote :

debdiff for Groovy

Kai-Heng Feng (kaihengfeng) wrote :

debdiff for Focal

tags: added: oem-priority originate-from-1880102 stella

The attachment "alsa-lib_1.2.2-2.3.debdiff" seems to be a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. If the attachment isn't a patch, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are member of the ~ubuntu-sponsors, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issue please contact him.]

tags: added: patch
Sebastien Bacher (seb128) wrote :

Thanks Kai-Heng, I've sponsored the updates now (fixed the G serie version to include 'ubuntu')

Changed in alsa-lib (Ubuntu Focal):
importance: Undecided → High
Changed in alsa-lib (Ubuntu Groovy):
importance: Undecided → High
Changed in alsa-lib (Ubuntu Focal):
status: New → Fix Committed
Changed in alsa-lib (Ubuntu Groovy):
status: New → Fix Committed
Changed in alsa-lib (Ubuntu Focal):
assignee: nobody → Kai-Heng Feng (kaihengfeng)
Changed in alsa-lib (Ubuntu Groovy):
assignee: nobody → Kai-Heng Feng (kaihengfeng)
hugh chao (hugh712) on 2020-06-18
Changed in oem-priority:
assignee: nobody → hugh chao (hugh712)
importance: Undecided → Critical
status: New → Confirmed

Hello Kai-Heng, or anyone else affected,

Accepted alsa-lib into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/alsa-lib/1.2.2-2.1ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed verification-needed-focal
Kai-Heng Feng (kaihengfeng) wrote :

After upgrade the package from -proposed, the useless S/PDIF option is gone from the sound panel of Gnome Control Center.

tags: added: verification-done-focal
removed: verification-needed-focal
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package alsa-lib - 1.2.2-2.3ubuntu1

---------------
alsa-lib (1.2.2-2.3ubuntu1) groovy; urgency=medium

  * debian/patches/0001-conf-USB-Audio-Add-HP-Thunderbolt-Dock-in-the-IEC958.patch:
    - Disable IEC958 on HP Thunderbolt Dock (lp: #1883670)

 -- Kai-Heng Feng <email address hidden> Tue, 16 Jun 2020 17:44:37 +0800

Changed in alsa-lib (Ubuntu Groovy):
status: Fix Committed → Fix Released

All autopkgtests for the newly accepted alsa-lib (1.2.2-2.1ubuntu1) for focal have finished running.
The following regressions have been reported in tests triggered by the package:

asterisk/1:16.2.1~dfsg-2ubuntu1 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/focal/update_excuses.html#alsa-lib

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Sebastien Bacher (seb128) wrote :

> The following regressions have been reported in tests triggered by the package:

> asterisk/1:16.2.1~dfsg-2ubuntu1 (armhf)

it was a transient issue and a retry worked

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package alsa-lib - 1.2.2-2.1ubuntu1

---------------
alsa-lib (1.2.2-2.1ubuntu1) focal; urgency=medium

  * debian/patches/0001-conf-USB-Audio-Add-HP-Thunderbolt-Dock-in-the-IEC958.patch:
    - Disable IEC958 on HP Thunderbolt Dock (lp: #1883670)

 -- Kai-Heng Feng <email address hidden> Tue, 16 Jun 2020 17:52:07 +0800

Changed in alsa-lib (Ubuntu Focal):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for alsa-lib has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

hugh chao (hugh712) wrote :

I will verify alsa-lib - 1.2.2-2.3ubuntu1 with oem 1019 kernel next week.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers